curl --request POST \
--url https://external.pleo.io/v1/export-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"accountingEntryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": true,
"options": {
"vendorBasedBookkeeping": false
},
"targetSystem": "<string>"
}
'import requests
url = "https://external.pleo.io/v1/export-jobs"
payload = {
"accountingEntryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": True,
"options": { "vendorBasedBookkeeping": False },
"targetSystem": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
accountingEntryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isInteractive: true,
options: {vendorBasedBookkeeping: false},
targetSystem: '<string>'
})
};
fetch('https://external.pleo.io/v1/export-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"expiresIn": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": true,
"numberOfItems": 123,
"status": "pending",
"vendorBasedBookkeeping": true,
"completedAt": "2023-11-07T05:31:56Z",
"createdBy": null,
"expiredAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>",
"failureReasonType": "invalid_configuration",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z"
}
}Create a new export job
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Body
The IDs of accounting entries that you want to include in the export job for transmission.
The IDs of accounting entries that you want to include in the export job for transmission.
The unique company ID for which you want to create the export job.
This is the Pleo unique identifier of the user that initiated the export job.
Non-interactive jobs are jobs that are not initiated by a user. These jobs are usually triggered in the background and require no user interaction. Interactive jobs are the opposite. Set this flag to true if the export job is to be initiated by a user. By default, this is set to true.
Provides additional configurations for the export job.
Show child attributes
Show child attributes
The target system for this export job, for example, an ERP system or another integrated system. Must match an active Pleo App marketplace installation or currently connected integration for the company; the value is case-insensitive. If omitted, the target system is inferred automatically.
Response
default response
Show child attributes
Show child attributes
Was this page helpful?